aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-perl/Email-Outlook-Message/Email-Outlook-Message-0.910.ebuild21
-rw-r--r--dev-perl/Email-Outlook-Message/Manifest2
-rw-r--r--dev-perl/Net-Twitter-Lite/Manifest2
-rw-r--r--dev-perl/Net-Twitter-Lite/Net-Twitter-Lite-0.11001.ebuild27
-rw-r--r--dev-perl/POE-Component-Client-Ping/Manifest2
-rw-r--r--dev-perl/POE-Component-Client-Ping/POE-Component-Client-Ping-1.171.ebuild19
-rw-r--r--dev-perl/Proc-PID-File/Manifest2
-rw-r--r--dev-perl/Proc-PID-File/Proc-PID-File-1.270.0.ebuild17
-rw-r--r--dev-python/noxspellserver/Manifest2
-rw-r--r--dev-python/noxspellserver/noxspellserver-1.1.ebuild41
-rw-r--r--net-mail/davmail-bin/Manifest4
-rw-r--r--net-mail/davmail-bin/davmail-bin-3.9.8.ebuild58
-rw-r--r--net-mail/davmail-bin/files/davmail-3.9.8-initd43
-rw-r--r--net-mail/davmail-bin/files/davmail.properties33
-rw-r--r--sys-auth/opie/Manifest5
-rw-r--r--sys-auth/opie/files/opie-2.32-includes.patch109
-rw-r--r--sys-auth/opie/files/opie-2.32-min_length.patch11
-rw-r--r--sys-auth/opie/opie-2.32.ebuild91
-rw-r--r--sys-auth/pam_mobile_otp/Manifest6
-rw-r--r--sys-auth/pam_mobile_otp/files/Makefile.patch32
-rw-r--r--sys-auth/pam_mobile_otp/files/motp-manager.patch11
-rw-r--r--sys-auth/pam_mobile_otp/files/motp.conf4
-rw-r--r--sys-auth/pam_mobile_otp/files/prompt.patch11
-rw-r--r--sys-auth/pam_mobile_otp/pam_mobile_otp-0.6.1.ebuild47
-rw-r--r--www-apps/heatmiser/Manifest5
-rw-r--r--www-apps/heatmiser/files/heatmiser.conf10
-rwxr-xr-xwww-apps/heatmiser/files/heatmiser.initd24
-rw-r--r--www-apps/heatmiser/heatmiser-9999.ebuild93
-rw-r--r--www-apps/opennab/Manifest2
-rw-r--r--www-apps/opennab/opennab-0.09.ebuild44
-rw-r--r--www-apps/siriproxy/Manifest2
-rw-r--r--www-apps/siriproxy/siriproxy-0.11.3.ebuild45
32 files changed, 825 insertions, 0 deletions
diff --git a/dev-perl/Email-Outlook-Message/Email-Outlook-Message-0.910.ebuild b/dev-perl/Email-Outlook-Message/Email-Outlook-Message-0.910.ebuild
new file mode 100644
index 00000000..f2e467ce
--- /dev/null
+++ b/dev-perl/Email-Outlook-Message/Email-Outlook-Message-0.910.ebuild
@@ -0,0 +1,21 @@
+EAPI=2
+
+MODULE_AUTHOR=MVZ
+inherit perl-module
+
+DESCRIPTION="Read Outlook .msg files"
+
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
+IUSE=""
+
+RDEPEND="virtual/perl-PodParser
+ virtual/perl-Getopt-Long
+ dev-perl/Email-LocalDelivery
+ dev-perl/IO-All
+ dev-perl/OLE-StorageLite
+ dev-perl/Email-MIME
+ "
+DEPEND="${RDEPEND}"
+
+SRC_TEST=do
diff --git a/dev-perl/Email-Outlook-Message/Manifest b/dev-perl/Email-Outlook-Message/Manifest
new file mode 100644
index 00000000..3d9a7823
--- /dev/null
+++ b/dev-perl/Email-Outlook-Message/Manifest
@@ -0,0 +1,2 @@
+DIST Email-Outlook-Message-0.910.tar.gz 31909 RMD160 bfe3bed8920c56d58941efd633ea9ae96f78a573 SHA1 da68fb7a1448b8b23a371262bf6e9c8feaf830c8 SHA256 0c837d17c8f363a0ad62c630917eb5d9530e783bde125d60d470e4fb91cf10e7
+EBUILD Email-Outlook-Message-0.910.ebuild 427 RMD160 ba437c9d5d2d5d60bc2d4ad2571fc53d50dfb16b SHA1 99da50a41651ad20c9862e6127a2528cef1e533b SHA256 a5711cdef127e9af2da72d96744aec2bc5fe7c64a30c6aa50d7c1112036d1dea
diff --git a/dev-perl/Net-Twitter-Lite/Manifest b/dev-perl/Net-Twitter-Lite/Manifest
new file mode 100644
index 00000000..9911a1ee
--- /dev/null
+++ b/dev-perl/Net-Twitter-Lite/Manifest
@@ -0,0 +1,2 @@
+DIST Net-Twitter-Lite-0.11001.tar.gz 90573 RMD160 3277f52c2da6db26949c284faf43b3b6bf6e1f58 SHA1 982fcd1fe88cf37495aecae144fd77afdd742e4b SHA256 671ea33cbcb07f9d687fc1d203884f8b83171f03ebffcf9a58b018cfd9a11211
+EBUILD Net-Twitter-Lite-0.11001.ebuild 612 RMD160 da8c2ade343bfb09c818b47e6c923136ab9bb1bc SHA1 4d3b95f2f2a54e8417774ff69c58d1ad5d034aa7 SHA256 42cd012fcbd686da967571b31e800c3af6651b53860e701817174527b98114d3
diff --git a/dev-perl/Net-Twitter-Lite/Net-Twitter-Lite-0.11001.ebuild b/dev-perl/Net-Twitter-Lite/Net-Twitter-Lite-0.11001.ebuild
new file mode 100644
index 00000000..a366dbc5
--- /dev/null
+++ b/dev-perl/Net-Twitter-Lite/Net-Twitter-Lite-0.11001.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-Twitter/Net-Twitter-3.180.20.ebuild,v 1.1 2012/04/25 16:11:29 tove Exp $
+
+EAPI=4
+
+MODULE_AUTHOR=MMIMS
+MODULE_VERSION=0.11001
+inherit perl-module
+
+DESCRIPTION="A perl interface to the Twitter API"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+RESTRICT="nomirror"
+IUSE=""
+
+RDEPEND=">=dev-perl/URI-1.40
+ dev-perl/libwww-perl
+ dev-perl/Crypt-SSLeay
+ dev-perl/JSON
+ dev-perl/HTML-Parser
+ >=dev-perl/Net-OAuth-0.25"
+DEPEND="${RDEPEND}"
+
+# online test
+SRC_TEST=skip
diff --git a/dev-perl/POE-Component-Client-Ping/Manifest b/dev-perl/POE-Component-Client-Ping/Manifest
new file mode 100644
index 00000000..6255f9e5
--- /dev/null
+++ b/dev-perl/POE-Component-Client-Ping/Manifest
@@ -0,0 +1,2 @@
+DIST POE-Component-Client-Ping-1.171.tar.gz 15575 RMD160 8df021609134614a50f84d91f0bdb4b2963957e5 SHA1 f0675fdba6f39dad3b34de8fd18e324c2bd31543 SHA256 ed01a23373654e2588686525aa26edc6799ec30116831a40ff1c0fd75f324a39
+EBUILD POE-Component-Client-Ping-1.171.ebuild 463 RMD160 b46eec68c95bf4e315766623b53ef58c36dbc8d5 SHA1 7cd4ebc6639fcd88743a68950badb96a154b876a SHA256 1a4551a27aabfb894a0fbf0fa45cc58ac5b90099702c6695ddbb96d1175db847
diff --git a/dev-perl/POE-Component-Client-Ping/POE-Component-Client-Ping-1.171.ebuild b/dev-perl/POE-Component-Client-Ping/POE-Component-Client-Ping-1.171.ebuild
new file mode 100644
index 00000000..c1604a04
--- /dev/null
+++ b/dev-perl/POE-Component-Client-Ping/POE-Component-Client-Ping-1.171.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-Twitter/Net-Twitter-3.180.20.ebuild,v 1.1 2012/04/25 16:11:29 tove Exp $
+
+EAPI=4
+
+MODULE_AUTHOR=RCAPUTO
+MODULE_VERSION=1.171
+inherit perl-module
+
+DESCRIPTION="A non-blocking ICMP ping client"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+RESTRICT="nomirror"
+IUSE=""
+
+RDEPEND="dev-perl/POE"
+DEPEND="${RDEPEND}"
diff --git a/dev-perl/Proc-PID-File/Manifest b/dev-perl/Proc-PID-File/Manifest
new file mode 100644
index 00000000..d959e854
--- /dev/null
+++ b/dev-perl/Proc-PID-File/Manifest
@@ -0,0 +1,2 @@
+DIST Proc-PID-File-1.27.tar.gz 14586 SHA256 0b9c499addfbd192491d9cede80f275c87593b9b8f6eb202e7df51f5d1e517ca SHA512 05d5bcdcc6a9fb2d2cb3779fb6ad6469c7c7845147eae1a4a27dec5bf728ad4fde5c4e2d44bf91382e7609fd701a23dd6fe9edb798dbeecc012d240e25a79bb3 WHIRLPOOL 7e465021bcee93d228e17882e3b7fb035505d33186534f6400865751a271469b9b03f9b86aca78c15e5a69bb80b02b1352614a43acc56d306ae8e724c499eaf5
+EBUILD Proc-PID-File-1.270.0.ebuild 433 SHA256 f626617f0b247cf77793e8b133d4bf225e30c7e370f16032baaa18e7db056bfb SHA512 2406d56b4858b9a7568ff45abfcd23266dfb4a0ebf64487aff7f17c4918bb152e3263a63796e51a8033c9760cf4c5ea6394e2b92d26c980dff0f2bc4ced42f96 WHIRLPOOL 0a5801d62aee7cae09c8213727c0042a4483b5b82e7c1d1d5fa4aac439bd41bf8a7a441c282c3fbea6045d6064be7146ed6cf3b7ad9d31f7facb46b5c565d577
diff --git a/dev-perl/Proc-PID-File/Proc-PID-File-1.270.0.ebuild b/dev-perl/Proc-PID-File/Proc-PID-File-1.270.0.ebuild
new file mode 100644
index 00000000..67ec9f33
--- /dev/null
+++ b/dev-perl/Proc-PID-File/Proc-PID-File-1.270.0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-perl/Proc-Daemon/Proc-Daemon-0.140.0.ebuild,v 1.5 2012/03/02 21:38:44 ranger Exp $
+
+EAPI=4
+
+MODULE_AUTHOR=ECALDER
+MODULE_VERSION=1.27
+inherit perl-module
+
+DESCRIPTION="Proc::PID::File - a module to manage process id files"
+
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE=""
+
+SRC_TEST="do"
diff --git a/dev-python/noxspellserver/Manifest b/dev-python/noxspellserver/Manifest
new file mode 100644
index 00000000..bc844dec
--- /dev/null
+++ b/dev-python/noxspellserver/Manifest
@@ -0,0 +1,2 @@
+DIST NoxSpellServer.zip 22896 RMD160 c8a59e11dcf6a36a49bc9864bcc0ad013e997321 SHA1 123c5a8eccd2e70a86fdf09de0fcce7dd048a3a7 SHA256 85bec73257e8ba98d87e5528c52295b99f06db946a2919a634da8b2e9a31df0c
+EBUILD noxspellserver-1.1.ebuild 717 RMD160 c56c0b2dbcf5735c185d78b4f611ab27358e3973 SHA1 8125f67909eb3a810727fbbf8300eabcd604db04 SHA256 7526d75015c3179a07b885b6c1979a87c0e5eef940f3c976d0fd92cd883d9ad0
diff --git a/dev-python/noxspellserver/noxspellserver-1.1.ebuild b/dev-python/noxspellserver/noxspellserver-1.1.ebuild
new file mode 100644
index 00000000..be442ba7
--- /dev/null
+++ b/dev-python/noxspellserver/noxspellserver-1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+PYTHON_DEPEND="2"
+
+inherit distutils
+
+MY_PN="NoxSpellServer"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python Aspell server"
+HOMEPAGE="http://orangoo.com/labs/GoogieSpell/Download/Nox_Spell_Server/"
+SRC_URI="http://orangoo.com/labs/uploads/NoxSpellServer.zip"
+RESTRICT="nomirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-lang/python-2.4
+ >=app-text/aspell-0.60.0
+ dev-python/cherrypy
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_PN}"
+
+src_prepare() {
+ rm GPL.txt
+ # We provide our own CherryPy...
+ rm -r lib
+}
+
+src_install() {
+ insinto /usr/bin
+ doins nox_server.py
+}
diff --git a/net-mail/davmail-bin/Manifest b/net-mail/davmail-bin/Manifest
new file mode 100644
index 00000000..b0617a9e
--- /dev/null
+++ b/net-mail/davmail-bin/Manifest
@@ -0,0 +1,4 @@
+AUX davmail-3.9.8-initd 1046 RMD160 1edb419926f69d31e969995c25bea5ef53590aaf SHA1 e135dbd43a885be0b0f631b45b4b4be27c0e29fc SHA256 8caec347f4e01737bad8bb02cc831f14b11a7686b4d18c0ae1894555e1b88dbd
+AUX davmail.properties 879 RMD160 cf754916582f34d71084c58332446b4d4f4708f7 SHA1 01f4626165587341b1bbdb12fbc11330411d3ed8 SHA256 7bcf05750ea720cce434435acf660a01fac9217d23d1221d04b904af6d4b1622
+DIST davmail-3.9.8-1921.zip 4870397 RMD160 74deff81e9c04087d3e840b551302a2a00527203 SHA1 4022ad222f14ced1e550fe4d7cee81cb4116a7fc SHA256 f13bfa16a15e85fde9f2cb00308bb340ede4625966969d3fce3f352b45823956
+EBUILD davmail-bin-3.9.8.ebuild 1751 RMD160 0aadd185ed7ecf4ec6410ac95c70510245cc92b3 SHA1 24ce9a2641cea045192a689e92d13fc4e7aca2df SHA256 d0499b937442de7c9aeaa53161ccc0a09677c1c353be2cd49e5d7b78f1b655c9
diff --git a/net-mail/davmail-bin/davmail-bin-3.9.8.ebuild b/net-mail/davmail-bin/davmail-bin-3.9.8.ebuild
new file mode 100644
index 00000000..d290b4ae
--- /dev/null
+++ b/net-mail/davmail-bin/davmail-bin-3.9.8.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit user
+
+DESCRIPTION="DavMail POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange Gateway"
+HOMEPAGE="http://davmail.sourceforge.net/"
+REV=1921
+MY_PN="${PN/-bin}"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="mirror://sourceforge/${MY_PN}/${MY_P}-${REV}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=virtual/jre-1.5"
+
+S="${WORKDIR}"
+
+pkg_setup() {
+ enewgroup davmail || die "DavMail Group creation failed"
+ enewuser davmail -1 -1 "/opt/${MY_P}" davmail || die "DavMail User creation failed"
+}
+
+src_install () {
+ echo "CONFIG_PROTECT=\"${EPREFIX}/opt/${MY_P}/conf\"" > "${T}/90${MY_PN}"
+
+ newinitd "${FILESDIR}"/"davmail-${PV}-initd" davmail || \
+ die "Could not create init script"
+ sed -i "s|%INST_DIR%|/opt/${MY_P}|g" "${ED}"/etc/init.d/davmail || \
+ die "Could not customise init script"
+
+ exeinto /opt/"${MY_P}"/bin
+ doexe davmail.jar || die "Could not install Jar"
+ fperms 644 /opt/"${MY_P}"/bin/davmail.jar
+
+ insinto /opt/"${MY_P}"
+ doins -r lib || die "Could not copy libraries"
+ insinto /opt/"${MY_P}"/conf
+ doins "${FILESDIR}"/davmail.properties || die "Could not copy properties"
+
+ dodir /var/log/davmail || die "Could not create log directory"
+ fowners davmail:davmail /var/log/davmail || die "Could not change ownership of log directory"
+
+ fowners davmail:davmail /opt/"${MY_P}" || die "Could not change ownership of DavMail directory"
+
+ doenvd "${T}/90${MY_PN}" || die "Could not configure environment"
+
+ einfo "davmail.properties has been installed to '/opt/${MY_P}/conf'"
+ einfo "Please see http://davmail.sourceforge.net/gettingstarted.html for details"
+ einfo "of how to configure DavMail"
+}
diff --git a/net-mail/davmail-bin/files/davmail-3.9.8-initd b/net-mail/davmail-bin/files/davmail-3.9.8-initd
new file mode 100644
index 00000000..70dc6e1b
--- /dev/null
+++ b/net-mail/davmail-bin/files/davmail-3.9.8-initd
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Copyright 2012 Stuart Shelton
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DIR="%INST_DIR%"
+
+depend() {
+ need localmount
+ use net
+ before fetchmail dovecot
+}
+
+start() {
+ ebegin "Building \$CLASSPATH"
+ found=1
+ for JAR in $( find "${DIR}"/lib/ -type f -name \*.jar ); do
+ CLASSPATH="${CLASSPATH}:${JAR}"
+ found=0
+ done
+ eend $found "Unable to find bundled Jar libraries"
+ unset found
+
+ ebegin "Starting DavMail"
+ start-stop-daemon \
+ --start --quiet --pidfile /var/run/davmail.pid \
+ --user davmail:davmail --make-pidfile --background \
+ --exec java -- -cp "${DIR}"/bin/davmail.jar:${CLASSPATH} davmail.DavGateway "${DIR}"/conf/davmail.properties
+ local ret=$?
+ eend $ret
+ return $ret
+}
+
+stop() {
+ ebegin "Stopping DavMail"
+ start-stop-daemon \
+ --stop --quiet --pidfile /var/run/davmail.pid
+ local ret=$?
+ eend $ret
+ return $ret
+}
+
diff --git a/net-mail/davmail-bin/files/davmail.properties b/net-mail/davmail-bin/files/davmail.properties
new file mode 100644
index 00000000..ddde6e38
--- /dev/null
+++ b/net-mail/davmail-bin/files/davmail.properties
@@ -0,0 +1,33 @@
+davmail.url=http://exchangeServer/exchange/
+davmail.enableEws=false
+davmail.popPort=1110
+davmail.imapPort=1143
+davmail.smtpPort=1025
+davmail.caldavPort=1080
+davmail.ldapPort=1389
+davmail.keepDelay=30
+davmail.sentKeepDelay=90
+davmail.caldavPastDelay=90
+davmail.imapIdleDelay=
+davmail.useSystemProxies=false
+davmail.enableProxy=false
+davmail.proxyHost=
+davmail.proxyPort=
+davmail.proxyUser=
+davmail.proxyPassword=
+davmail.ssl.keystoreType=JKS
+davmail.ssl.keyPass=
+davmail.ssl.keystoreFile=
+davmail.ssl.keystorePass=
+davmail.smtpSaveInSent=true
+davmail.server=true
+davmail.server.certificate.hash=
+davmail.bindAddress=
+davmail.clientSoTimeout=
+davmail.allowRemote=true
+davmail.disableUpdateCheck=false
+log4j.rootLogger=WARN
+log4j.logger.davmail=DEBUG
+log4j.logger.org.apache.commons.httpclient=WARN
+log4j.logger.httpclient.wire=WARN
+davmail.logFilePath=/var/log/davmail/davmail.log
diff --git a/sys-auth/opie/Manifest b/sys-auth/opie/Manifest
new file mode 100644
index 00000000..10d7590c
--- /dev/null
+++ b/sys-auth/opie/Manifest
@@ -0,0 +1,5 @@
+AUX opie-2.32-includes.patch 2967 SHA256 e78c4991b507c91432d457775f5f227ba05eb93cb0572f73084b4a84ffdd94a9 SHA512 9efa78d9bfcdad8a469beb5bc81eb1e11ba16b07d834d95c50322f1e6bd8670b548f7a380bf6e85adf4dc011f5e4bd3eb18b451194348d4595976eab17cc51b5 WHIRLPOOL 4f148ad41f1a081dd03c82ad7b91f2c6f9f13b28026257875a98dd9431672730524e3cedc02d2ab85d3f99a0bc83e7ba6f7d2c003bd931859fce59212c526ac6
+AUX opie-2.32-min_length.patch 319 SHA256 2a1e3ed1fb12836df2d7a8e4f0c13e4d6039914a59d57e2a155a42f2b2474043 SHA512 21a8f10f88e2f7df52679806d074450e30f79da55da8cbed2f45a5445d936c02632630eb4fe1dad9b0434510fcaf3e89f11f2b1fb4d16da351298080de3bab24 WHIRLPOOL b9ab54a72595d35f29b6bac2a8d089af781436f70a19ee6176ac164bba5dc9622313aa698087b8cd5109df5a9308d85f34f107c587947b411d3add5f0979913e
+DIST opie_2.32.dfsg.1-0.2+squeeze1.diff.gz 14774 SHA256 cd2816e294c666ea51f3b2a914916164c50cbaf4e4ec33c4c5aae1326f919e07 SHA512 0d0f5aa3d709f928a4ebb307b8aa19d420363f857d71c1cdb1e15fa9c2112a7b8986e2ddbc0ba2f3138f9bf15221028e11e6f8422658da2da336b90c3fa143f9 WHIRLPOOL 1fdc810c44fe5458518b5d941c516550faac61fe355e7dfb975c60bf062c65a2aa3e41b5ac6fe93598c52b99dc9e08ba5e3704fe687b690c39bf097f72ee781b
+DIST opie_2.32.dfsg.1.orig.tar.gz 158349 SHA256 6472b5214a031330b933a2b2ffbdab08054093eb4ca283f97284b04319d1060b SHA512 29ba640a5efd5127a7918ed966ee0e2ba6d2bf81f74c7fd7c9a2ffe4a9ee292922a2b42b18a5d9350a89d9205e98f4be4ffb823221626cb7505bd68fded77905 WHIRLPOOL 7f3555554be0e6a216f6d060a49483f8de3639bc8d71bce7c13d35ceac06751d5dcfb88777c1247659a99e37dbee04d2ad94992483a4069baffe823be1c2da0f
+EBUILD opie-2.32.ebuild 2161 SHA256 83be72184e86712061785f5fbecb2d35d5367688a561da5eb1b6084147321e2e SHA512 26e5815b5c8e05ed1ae101e845f58420f9d4c6cbd0fafd1a944be1a046ebf960156922cc71093683f2a65765a29020dccf8505d43fedcbfc5b47c2ba810138e9 WHIRLPOOL e8c3ce58e8fc8e1d73460c9fabcf6e4a22f3ed8efda84e829ba32ff4de87ea2851595deaf05edc2c9d8d2940e52f4c24ba877feaef9d2d9bd5aefdcac6363b74
diff --git a/sys-auth/opie/files/opie-2.32-includes.patch b/sys-auth/opie/files/opie-2.32-includes.patch
new file mode 100644
index 00000000..aab2d8e7
--- /dev/null
+++ b/sys-auth/opie/files/opie-2.32-includes.patch
@@ -0,0 +1,109 @@
+--- ./opiegen.c.dist 2013-01-23 00:06:37.983308379 +0000
++++ ./opiegen.c 2013-01-23 00:10:36.962429442 +0000
+@@ -18,6 +18,12 @@
+ */
+ #include "opie_cfg.h"
+ #include <stdio.h>
++#if HAVE_STDLIB_H
++#include <stdlib.h>
++#endif /* HAVE_STDLIB_H */
++#if HAVE_STRING_H
++#include <string.h>
++#endif /* HAVE_STRING_H */
+ #if DEBUG
+ #include <syslog.h>
+ #endif /* DEBUG */
+--- ./libopie/lookup.c.dist 2013-01-23 00:12:18.377107442 +0000
++++ ./libopie/lookup.c 2013-01-23 00:12:48.792389436 +0000
+@@ -13,6 +13,9 @@
+
+ #include "opie_cfg.h"
+ #include <stdio.h>
++#if HAVE_STRING_H
++#include <string.h>
++#endif /* HAVE_STRING_H */
+ #include "opie.h"
+
+ int opielookup FUNCTION((opie, principal), struct opie *opie AND char *principal)
+--- ./libopie/newseed.c.dist 2013-01-23 00:13:51.496201014 +0000
++++ ./libopie/newseed.c 2013-01-23 00:14:25.164668138 +0000
+@@ -14,6 +14,7 @@
+ */
+
+ #include "opie_cfg.h"
++#include <stdio.h>
+ #if HAVE_TIME_H
+ #include <time.h>
+ #endif /* HAVE_TIME_H */
+--- ./libopie/randomchallenge.c.dist 2013-01-23 00:15:19.722184072 +0000
++++ ./libopie/randomchallenge.c 2013-01-23 00:19:25.964305486 +0000
+@@ -26,6 +26,10 @@
+ */
+
+ #include "opie_cfg.h"
++#include <stdio.h>
++#if HAVE_STRING_H
++#include <string.h>
++#endif /* HAVE_STRING_H */
+ #include "opie.h"
+
+ static char *algids[] = { 0, 0, 0, "sha1", "md4", "md5" };
+--- ./libopie/generator.c.dist 2013-01-23 00:15:54.000623296 +0000
++++ ./libopie/generator.c 2013-01-23 00:20:58.960071571 +0000
+@@ -28,6 +28,7 @@
+ */
+
+ #include "opie_cfg.h"
++#include <stdio.h>
+ #if HAVE_STRING_H
+ #include <string.h>
+ #endif /* HAVE_STRING_H */
+--- ./libopie/passwd.c.dist 2013-01-23 00:15:06.676111389 +0000
++++ ./libopie/passwd.c 2013-01-23 00:18:34.706639522 +0000
+@@ -21,6 +21,9 @@
+ */
+
+ #include "opie_cfg.h"
++#if HAVE_STRING_H
++#include <string.h>
++#endif /* HAVE_STRING_H */
+ #include "opie.h"
+
+ int opiepasswd FUNCTION((old, flags, principal, n, seed, ks), struct opie *old AND int flags AND char *principal AND int n AND char *seed AND char *ks)
+--- ./libopie/version.c.dist 2013-01-23 00:15:40.424574924 +0000
++++ ./libopie/version.c 2013-01-23 00:20:34.024540297 +0000
+@@ -18,6 +18,10 @@
+ Created at NRL for OPIE 2.2 from opiesubr.c.
+ */
+ #include "opie_cfg.h"
++#include <stdio.h>
++#if HAVE_STDLIB_H
++#include <stdlib.h>
++#endif /* HAVE_STDLIB_H */
+ #include "opie.h"
+
+ VOIDRET opieversion FUNCTION_NOARGS
+--- ./opieinfo.c.dist 2013-01-23 00:08:00.732873746 +0000
++++ ./opieinfo.c 2013-01-23 00:11:03.387188607 +0000
+@@ -33,6 +33,9 @@
+
+ #include "opie_cfg.h"
+ #include <stdio.h>
++#if HAVE_STDLIB_H
++#include <stdlib.h>
++#endif /* HAVE_STDLIB_H */
+ #include <errno.h>
+ #if HAVE_UNISTD_H
+ #include <unistd.h>
+--- ./opietest.c.dist 2013-01-23 00:06:00.141697911 +0000
++++ ./opietest.c 2013-01-23 00:11:19.096473296 +0000
+@@ -27,6 +27,9 @@
+ */
+ #include "opie_cfg.h"
+ #include <stdio.h>
++#if HAVE_STDLIB_H
++#include <stdlib.h>
++#endif /* HAVE_STDLIB_H */
+ #include "opie.h"
+
+ char buffer[1024];
diff --git a/sys-auth/opie/files/opie-2.32-min_length.patch b/sys-auth/opie/files/opie-2.32-min_length.patch
new file mode 100644
index 00000000..f599ddd1
--- /dev/null
+++ b/sys-auth/opie/files/opie-2.32-min_length.patch
@@ -0,0 +1,11 @@
+--- opie.h.dist 2013-01-23 01:22:23.304882676 +0000
++++ opie.h 2013-01-23 01:22:36.220961282 +0000
+@@ -126,7 +126,7 @@
+
+ /* Minimum length of a secret password */
+ #ifndef OPIE_SECRET_MIN
+-#define OPIE_SECRET_MIN 10
++#define OPIE_SECRET_MIN 1
+ #endif /* OPIE_SECRET_MIN */
+
+ /* Maximum length of a secret password */
diff --git a/sys-auth/opie/opie-2.32.ebuild b/sys-auth/opie/opie-2.32.ebuild
new file mode 100644
index 00000000..9f29bba8
--- /dev/null
+++ b/sys-auth/opie/opie-2.32.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DEBIAN_VERSION=".dfsg.1"
+DEBIAN_EXTRA="-0.2+squeeze1"
+DESCRIPTION="One-time Passwords In Everything"
+HOMEPAGE="http://www.inner.net/opie"
+SRC_URI="http://ftp.debian.org/debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}${DEBIAN_VERSION}.orig.tar.gz
+ http://ftp.debian.org/debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}${DEBIAN_VERSION}${DEBIAN_EXTRA}.diff.gz"
+RESTICT="nomirror"
+
+LICENSE="inner-net"
+SLOT="0"
+KEYWORDS="x86 amd64"
+IUSE="+client server"
+
+
+S="${WORKDIR}"/"${P}${DEBIAN_VERSION}"
+
+pkg_pretend() {
+ if ! use server && ! use client; then
+ die "At least one of USE=\"client\" or USE=\"server\" must be specified"
+ fi
+}
+
+src_prepare() {
+ epatch "${WORKDIR}"/"${PN}_${PV}${DEBIAN_VERSION}${DEBIAN_EXTRA}.diff" || \
+ die "Applying Debian patch failed: $?"
+ epatch "${FILESDIR}"/${P}-includes.patch || \
+ die "Applying includes patch failed: $?"
+ epatch "${FILESDIR}"/${P}-min_length.patch || \
+ die "Applying password length patch failed: $?"
+}
+
+src_configure() {
+ econf \
+ --enable-su-star-check \
+ --enable-insecure-override \
+ || die "Configuration failed: $?"
+# --enable-retype \
+
+ sed -i 's/^DEBUG=.*$/DEBUG=/' Makefile || \
+ die "Failed correcting DEBUG flags"
+ sed -ri "s/^(CFLAGS=.*)$/\1 ${CFLAGS}/" Makefile || \
+ die "Failed correcting CFLAGS"
+ sed -ri "s/^(LFLAGS=.*)$/\1 ${LDFLAGS}/" Makefile || \
+ die "Failed correcting CFLAGS"
+}
+
+src_install() {
+ dodoc README
+ doman opie.4
+ doman opieaccess.5
+
+ if use client; then
+ fperms 511 opiekey
+ dobin opiekey
+ #dosym opiekey /usr/bin/otp-md4
+ #dosym opiekey /usr/bin/otp-md5
+
+ doman opiekey.1
+ #dosym opiekey.1.bz2 /usr/share/man/man1/otp-md4.1.bz2
+ #dosym opiekey.1.bz2 /usr/share/man/man1/otp-md5.1.bz2
+ doman opiekeys.5
+ fi
+
+ if use server; then
+ fperms 555 opieinfo
+ fperms 4511 opiepasswd
+ dobin opiepasswd opieinfo
+
+ touch opiekeys
+ fperms 644 opiekeys
+ insinto /etc
+ doins opiekeys
+
+ dodir /etc/opielocks
+ fperms 700 /etc/opielocks
+
+ doman opieinfo.1
+ doman opiepasswd.1
+
+ doheader opie.h
+ dolib.a libopie/libopie.a
+ fi
+}
diff --git a/sys-auth/pam_mobile_otp/Manifest b/sys-auth/pam_mobile_otp/Manifest
new file mode 100644
index 00000000..dc37f7c6
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/Manifest
@@ -0,0 +1,6 @@
+AUX Makefile.patch 900 RMD160 560f06519459140f83c0facc850404d5b5b99ef1 SHA1 138e188ac4d51e7c0e49cead506f731b8131dfaf SHA256 51351325c44b617afd4134794bf3cbec2b39c8c139dcccfd3eff64952a01fc26
+AUX motp-manager.patch 411 RMD160 056ff5733ae411035d27e45450d111bc097aa067 SHA1 73746eddab83ab4e6efd9dfa2c8c35f6a41e7bbd SHA256 e852bb0272e9dbba8532c0304ce81468c960500908e94e5bac7b672634836374
+AUX motp.conf 78 RMD160 e1b95bc0e40d1ef6f48c779cb3f89b9a4b0e6cd3 SHA1 9da21fdd67c51a7e3b1aeb085fffed1add4d8ce5 SHA256 c85aa5384ef8f7364b483129d6e46c1505ecc0115bb8cd1084f6c7139f17a48e
+AUX prompt.patch 410 RMD160 ed817cde5a83e8195263dbb91bce5d5f6efe2c27 SHA1 1d5ef03fc63d6cb10aba012d99522b7f5ce7bd4a SHA256 a84b2ebb5e74f6d1d386d4bdf3bc910ded5f79ae046daa390c408d8323e163f2
+DIST pam_mobile_otp-0.6.1.tgz 26425 RMD160 7c8b5c02aeea5e53a36b2929574643a883dda371 SHA1 540e6f2a9a942ad0b2a39eb97015b4644480dedf SHA256 c26050358674ff2a2e4e4377e56aa3e1e348813936176bbc6957e84bdb2e6ba8
+EBUILD pam_mobile_otp-0.6.1.ebuild 1394 RMD160 f4bf8beb959c4c9995d0257e46bdcdd934257b1d SHA1 c8db402957ab17aa2c8223b25a9823c9a38fdd91 SHA256 84c9194892231c95d4514f3bf0d583ffad10ce8b16edd21e405c03b1acf439da
diff --git a/sys-auth/pam_mobile_otp/files/Makefile.patch b/sys-auth/pam_mobile_otp/files/Makefile.patch
new file mode 100644
index 00000000..a77a28f4
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/files/Makefile.patch
@@ -0,0 +1,32 @@
+--- Makefile.dist 2011-08-16 15:02:44.128755738 +0100
++++ Makefile 2011-08-16 15:06:03.346319737 +0100
+@@ -1,18 +1,25 @@
+
++CC = gcc
++LD = ld
++CFLAGS = -Os -march=pentium4 -mfpmath=sse -mmmx -msse -msse2 -fomit-frame-pointer -pipe
++LDFLAGS = -O1 --as-needed
++OPT = -D_TRACE_ -Wall
++
+ all: pam_mobile_otp.so
+
+ debug:
+- OPTS="-D_TRACE_ -Wall" make all
++ OPT = -D_TRACE_ -Wall
++ pam_mobile_otp.so
+
+ pam_mobile_otp.o : pam_mobile_otp.c
+- gcc -fPIC -c pam_mobile_otp.c
++ $(CC) $(CFLAGS) $(OPT) -fPIC -c pam_mobile_otp.c
+
+ pam_mobile_otp.so : pam_mobile_otp.o md5.o
+- ld -x --shared -o pam_mobile_otp.so pam_mobile_otp.o \
++ $(LD) $(LDFLAGS) -x --shared -o pam_mobile_otp.so pam_mobile_otp.o \
+ md5.o -lpam
+
+ md5.o : md5.c
+- gcc -fPIC -c md5.c -DSTDC_HEADERS
++ $(CC) $(CFLAGS) $(OPT) -fPIC -c md5.c -DSTDC_HEADERS
+
+ install : pam_mobile_otp.so
+ cp pam_mobile_otp.so /lib/security/pam_mobile_otp.so
diff --git a/sys-auth/pam_mobile_otp/files/motp-manager.patch b/sys-auth/pam_mobile_otp/files/motp-manager.patch
new file mode 100644
index 00000000..148461d8
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/files/motp-manager.patch
@@ -0,0 +1,11 @@
+--- motp-manager.dist 2011-08-15 15:37:00.768192290 +0100
++++ motp-manager 2011-08-15 15:38:21.207856229 +0100
+@@ -144,7 +144,7 @@ user_add() {
+ if [[ ${#secret} -gt 32 || ${#secret} -lt 16 ]]
+ then
+ echo "Please specify secret between 16 and 32 characters."
+- elif [[ $secret != +([0-9abcdffABCDEF]) ]]
++ elif [[ $secret != +([0-9abcdefABCDEF]) ]]
+ then
+ echo "Specified secret is invalid HEX."
+
diff --git a/sys-auth/pam_mobile_otp/files/motp.conf b/sys-auth/pam_mobile_otp/files/motp.conf
new file mode 100644
index 00000000..9f3989e4
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/files/motp.conf
@@ -0,0 +1,4 @@
+# user secret (max 32 hex) pin GMT offset (h)
+
+#test 1234567890abcdef 1234 0
+
diff --git a/sys-auth/pam_mobile_otp/files/prompt.patch b/sys-auth/pam_mobile_otp/files/prompt.patch
new file mode 100644
index 00000000..04b2caa9
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/files/prompt.patch
@@ -0,0 +1,11 @@
+--- pam_mobile_otp.c.dist 2011-08-16 14:26:00.193806304 +0100
++++ pam_mobile_otp.c 2011-08-16 14:28:52.342608771 +0100
+@@ -204,7 +204,7 @@ PAM_EXTERN int pam_sm_authenticate(pam_h
+ struct pam_message msg, *pmsg[1];
+ struct pam_response *resp;
+ struct pam_conv *conv;
+- msg.msg = "passcode: ";
++ msg.msg = "OTP Passcode: ";
+ msg.msg_style = PAM_PROMPT_ECHO_OFF;
+ pmsg[0] = &msg;
+
diff --git a/sys-auth/pam_mobile_otp/pam_mobile_otp-0.6.1.ebuild b/sys-auth/pam_mobile_otp/pam_mobile_otp-0.6.1.ebuild
new file mode 100644
index 00000000..6d684c43
--- /dev/null
+++ b/sys-auth/pam_mobile_otp/pam_mobile_otp-0.6.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit toolchain-funcs pam
+
+DESCRIPTION="Mobile-OTP: Strong, two-factor authentication with mobile phones"
+HOMEPAGE="http://motp.sourceforge.net/"
+SRC_URI="http://motp.sourceforge.net/pam_mobile_otp-0.6.1.tgz"
+RESTICT="nomirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+#IUSE=""
+
+S="${WORKDIR}/${PN}"
+
+src_configure() {
+ epatch "${FILESDIR}/motp-manager.patch" || die "Failed to patch motp-manager"
+ epatch "${FILESDIR}/prompt.patch" || die "Failed to patch pam_mobile_otp.c"
+ epatch "${FILESDIR}/Makefile.patch" || die "Failed to patch Makefile"
+}
+
+src_install() {
+ fperms 600 motp-manager || die "Cannot set permissions on 'motp-manager'"
+ dosbin motp-manager || die "Cannot install 'motp-manager'"
+ dodir /var/cache/motp
+ dodir /etc/security
+ cp "${FILESDIR}/motp.conf" "${ED}/etc/security/"
+ dopammod pam_mobile_otp.so || die "Cannot install pam_mobile_otp.so PAM module"
+ dodoc README || die "Cannot install pam_mobile_otp README"
+}
+
+pkg_postinst() {
+ elog "To enable pam_mobile_otp put something like"
+ elog
+ elog " auth sufficient /lib/security/pam_mobile_otp.so not_set_pass"
+ elog " password required /lib/security/pam_mobile_otp.so debug"
+ elog " and"
+ elog " account required /lib/security/pam_mobile_otp.so"
+ elog
+ elog "into /etc/pam.d/login"
+}
+
diff --git a/www-apps/heatmiser/Manifest b/www-apps/heatmiser/Manifest
new file mode 100644
index 00000000..eb0cd6ff
--- /dev/null
+++ b/www-apps/heatmiser/Manifest
@@ -0,0 +1,5 @@
+AUX heatmiser.conf 231 SHA256 6a884ea715a0f5637e34511bac14e3f6620ddf32b6ff2d49d9ca48273832b4f0 SHA512 381da067386ef56156621e96141bfc74463ebf40c95840e18b1242d1614cf128d6622a3bce21f421c295cc19d17986a20035e413247ccdbc59677c2c88be158e WHIRLPOOL da21d0b0973d470e6f24e2619808607947a6141fd3cff98249ac1f290c66ac82735949250231b54b3e0397b92f959c760fbbb904fb89a398c93c38c6f29ae3f8
+AUX heatmiser.initd 623 SHA256 8d89f36d59e15062059d10197d452797a33a5994fc5be5ffcfedd146bcaa125d SHA512 6093b47b748c234f8ae5e94c43ae1bc8855f911d223297c4f253ced76e5562f0e82b10a3fa3154e5f6819e95e643a98a9cfb5c9f18be6ef693f6441588d0a862 WHIRLPOOL 01e84c643524a5d4b0d03c176ceb508a4e16d12465921a04dea69085d4969d0d7709fa5e5b64d4c24c292f2df7f9aa9d15a793326f20e3c9452f3467b7fdc79d
+DIST Highstock-1.1.5.zip 303571 SHA256 62982a1950b59a7dddeffbe831976063547c52e4b42bcd2b552e7edd30794846 SHA512 97f72d57b328b4791ac9d79c41ce9f309befb7595adc272f2dec56c675219e8e29c73a5faab56f29f16bd71061736e61ee710ca554f064c16744fa0cfb517240 WHIRLPOOL 0cc987d1316a64d11374400e73b3120c0752ae6065d13d4af81ee216be01efc12b68f70ef3e4a79e5582187e37e49155b1d76d8c3d1175cb496a9ea02a51fba4
+DIST jquery-ui.min.js 186173 SHA256 e21e121c209400a165ef1585f49799a7db6753c9663396ede86de434ae84e1e9 SHA512 4bfc6fbf65cee94f3579aa1f5b03454b01c8d557da30524baf727d19423929eabf786390d3ce0fab0645f2daba5494ad332466f27019b3e60fd2031aa6f6d078 WHIRLPOOL 7de212dd7cfa396f92a6bf1dff419f13af6f7e4a64e71d11cce1c42c694801df7749cdfc6e369ced2d172e2e937ac7ef21a30eff1cfd9a3bf0c3c10b412d63ef
+EBUILD heatmiser-9999.ebuild 2291 SHA256 6a71d6ba1d51441932c3a82875c1fbc9234c3fe0c91234952856039223b1a5c8 SHA512 452a871f46f0074548826200513c13c5112a954e6449ae05510662ad148d7b0b8d7d5c5b93001f0ba64844cc46d21de66e0d1787f14cd32f5edc4f7e23cc60f4 WHIRLPOOL 46a76b5eec3f08589f9432d9e644be81ae9d8d4144db80e9e4e75094e6d6b062c89547e2c0b65242b8cb871d65b9cd5cc20b10b4a2a21a30c9dce09d6410dae2
diff --git a/www-apps/heatmiser/files/heatmiser.conf b/www-apps/heatmiser/files/heatmiser.conf
new file mode 100644
index 00000000..52b7371c
--- /dev/null
+++ b/www-apps/heatmiser/files/heatmiser.conf
@@ -0,0 +1,10 @@
+HOST heatmiser1 heatmiser2 heatmiser3
+PIN 1234
+LOGSECONDS 1
+WSERVICE wunderground
+WKEY 0123456789abcdef
+WLOCATION pws:ICAMBSCO1
+DBSOURCE dbi:mysql:heatmiser
+DBUSER heatmiser
+DBPASSWORD heatmiser
+LOGFILE /var/log/heatmiser.log
diff --git a/www-apps/heatmiser/files/heatmiser.initd b/www-apps/heatmiser/files/heatmiser.initd
new file mode 100755
index 00000000..f1d8e6e2
--- /dev/null
+++ b/www-apps/heatmiser/files/heatmiser.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Distributed under the terms of the GNU General Public License v2
+
+PERL="$( type -pf perl )"
+NAME=heatmiser_daemon.pl
+DAEMON=/usr/libexec/heatmiser/$NAME
+DAEMON_ARGS=""
+PIDFILE=/var/run/$NAME.pid
+
+depend() {
+ need mysql
+}
+
+start() {
+ ebegin "Starting Heatmiser Logger"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $PERL -- $DAEMON $DAEMON_ARGS
+ eend $? "Unable to start Logging Daemon"
+}
+
+stop() {
+ ebegin "Stopping Heatmiser Logger"
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --interpreted --exec $PERL $DAEMON
+ eend $? "Unable to stop Logging Daemon"
+}
diff --git a/www-apps/heatmiser/heatmiser-9999.ebuild b/www-apps/heatmiser/heatmiser-9999.ebuild
new file mode 100644
index 00000000..9a66fec1
--- /dev/null
+++ b/www-apps/heatmiser/heatmiser-9999.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+inherit subversion webapp
+
+DESCRIPTION="Perl scripts and web interface for Heatmiser Wi-Fi Thermostats"
+HOMEPAGE="http://code.google.com/p/heatmiser-wifi/"
+SRC_URI="http://code.jquery.com/ui/1.7.2/jquery-ui.min.js \
+http://www.highcharts.com/downloads/zips/Highstock-1.1.5.zip"
+ESVN_REPO_URI="http://heatmiser-wifi.googlecode.com/svn/trunk/"
+RESTRICT="nomirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+WEBAPP_MANUAL_SLOT="yes"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND} \
+ virtual/perl-Time-HiRes \
+ dev-perl/JSON \
+ dev-perl/File-HomeDir \
+ dev-perl/Proc-Daemon \
+ dev-perl/Proc-PID-File"
+
+need_httpd_cgi
+
+src_unpack() {
+ subversion_src_unpack
+
+ for FILE in $A; do
+ case "$( basename "$FILE" | sed 's/^.*\.//' )" in
+ js)
+ if [[ "$FILE" == "jquery-ui.min.js" ]]; then
+ cp "$DISTDIR"/"$FILE" "${WORKDIR}"/jquery-1.7.2.min.js || die "File copy failed for file '$FILE'"
+ else
+ die "File copy failed for unkown file '$FILE'"
+ fi
+ ;;
+ zip)
+ unpack "$FILE" || die "Unpack failed for file '$FILE'"
+ ;;
+ *)
+ die "Unknown file format detected for file '$FILE'"
+ ;;
+ esac
+ done
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc COPYING
+
+ insinto "${MY_HTDOCSDIR}"/
+ doins -r "${WORKDIR}"/jquery-1.7.2.min.js "${WORKDIR}"/js/highstock.js html/index.html
+
+ insinto "${MY_CGIBINDIR}"/"${PN}"/
+ doins bin/heatmiser_config.pm bin/heatmiser_db.pm
+ exeinto "${MY_CGIBINDIR}"/"${PN}"/
+ newexe bin/heatmiser_cgi.pl ajax.pl
+
+ rm bin/heatmiser_cgi.pl 2>/dev/null
+
+ insinto /usr/libexec/"${PN}"/
+ doins bin/*.pm
+ exeinto /usr/libexec/"${PN}"/
+ doexe bin/*.pl
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ #newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+
+ insinto /etc/
+ doins "${FILESDIR}/${PN}.conf"
+
+ keepdir /etc/cron.daily
+ dosym /usr/libexec/"${PN}"/heatmiser_time.pl /etc/cron.daily/heatmiser
+
+ # Without this it'll crash at startup. When merging in ROOT= this
+ # won't be created by default, so we want to make sure we got it!
+ keepdir /var/run
+ fowners root:root /var/run
+ fperms 0755 /var/run
+
+ webapp_src_install
+}
+
+#pkg_postinst() {
+ #elog "The cgi-bin directory for ${PN} is /usr/libexec/${PN}/cgi-bin."
+ #elog "Set up your ScriptAlias or symbolic links accordingly."
+#}
diff --git a/www-apps/opennab/Manifest b/www-apps/opennab/Manifest
new file mode 100644
index 00000000..11ce6a67
--- /dev/null
+++ b/www-apps/opennab/Manifest
@@ -0,0 +1,2 @@
+DIST opennab_0.09.zip 1678279 RMD160 d37efddf0a841967cc90dcfe9152ac921e248c28 SHA1 51fcf133cd649ae41b31c2f887987ecc55212324 SHA256 f21b75a0202ea5aa65390be8f0355abc0bcf0aaefd2d55ad85223cf7b9a34369
+EBUILD opennab-0.09.ebuild 968 RMD160 86c6d6fd8524cb44055fafe9e039092e09a8264e SHA1 7d4a9df15c7069e2db4697f1b0b0d6bfa8af32ac SHA256 ce10ad5b697ef52fd812101cd820f6e86ca7ddf799e7cb3690125d5636ae653a
diff --git a/www-apps/opennab/opennab-0.09.ebuild b/www-apps/opennab/opennab-0.09.ebuild
new file mode 100644
index 00000000..b6bb5103
--- /dev/null
+++ b/www-apps/opennab/opennab-0.09.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="4"
+
+inherit webapp
+
+DESCRIPTION="Nabaztag/tag OpenNab server"
+HOMEPAGE="http://opennab.sourceforge.net/"
+SRC_URI="http://dfn.dl.sourceforge.net/project/${PN}/${PN}/${PN}_${PV}/${PN}_${PV}.zip"
+RESTRICT="nomirror"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test demo"
+
+RDEPEND="virtual/httpd-php
+ dev-lang/php"
+
+need_httpd_cgi
+
+S="${WORKDIR}"
+
+src_install() {
+ use test || rm -r "${S}"/vl/tests
+ use demo || rm -r "${S}"/vl/api_demo
+
+ webapp_src_preinst
+
+ dodoc readme.txt
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r broad vl
+
+ webapp_serverowned "${MY_HTDOCSDIR}"/vl/burrows
+ webapp_serverowned "${MY_HTDOCSDIR}"/vl/config
+ webapp_serverowned "${MY_HTDOCSDIR}"/vl/logs
+ webapp_serverowned "${MY_HTDOCSDIR}"/vl/users
+ webapp_serverowned "${MY_HTDOCSDIR}"/vl/plugins/*/files
+
+ webapp_configfile "${MY_HTDOCSDIR}"/vl/config/opennab.ini
+
+ webapp_src_install
+}
diff --git a/www-apps/siriproxy/Manifest b/www-apps/siriproxy/Manifest
new file mode 100644
index 00000000..4f62f97f
--- /dev/null
+++ b/www-apps/siriproxy/Manifest
@@ -0,0 +1,2 @@
+DIST v0.11.3.zip 1266006 SHA256 b7904baa3e8c890fbb1e0b8e085905cb3edd9d2d233e0403adc8fa02e6d9ae2a SHA512 989153c7e45c4818a52ea8390e089612682a0851b1fa8fb488186c729f30d383d9d34084f5c49f8c53e97506b1b5ca733615faec69a76ae29165efdd2faa44b0 WHIRLPOOL 13263cc1806d1d2e599bd2960a762a797a8b95496b456e7ef8740fe5a2e916a5d5839552ad676e05283e01960dd508885d19b3bd637b5de84e20013988731219
+EBUILD siriproxy-0.11.3.ebuild 1225 SHA256 302af3647f55e259d3f82c398817d330a382880d6e9370aff5bfd5d1d222075c SHA512 0b588c44ad08b93d98e0d943c93ec5346601d150387da11d805f343a929c730d043e7d999a78f89acac83a9bf36873e9b486ec4c3539ff638311442f599772c2 WHIRLPOOL f3948d07f0c851729843720be8e080b627de7ecd02192a9291765d9d6348e18d31f9390ecfa6ef9068b2cf4e40b2eb9de98604f96fbfdbe56157b985e105993a
diff --git a/www-apps/siriproxy/siriproxy-0.11.3.ebuild b/www-apps/siriproxy/siriproxy-0.11.3.ebuild
new file mode 100644
index 00000000..c91f0b90
--- /dev/null
+++ b/www-apps/siriproxy/siriproxy-0.11.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="4"
+
+inherit webapp
+
+DESCRIPTION="An intelligent Siri Proxy with multiple key storage and key throttling"
+HOMEPAGE="https://github.com/interstateone/The-Three-Little-Pigs-Siri-Proxy/"
+SRC_URI="https://github.com/interstateone/The-Three-Little-Pigs-Siri-Proxy/archive/v${PV}.zip"
+RESTRICT="nomirror"
+
+LICENSE="CCPL-Attribution-ShareAlike-NonCommercial-3.0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="virtual/httpd-php
+ app-admin/webapp-config
+ dev-db/mysql
+ || ( dev-lang/php[mysql] dev-lang/php[mysqli] )"
+
+need_httpd_cgi
+
+S="${WORKDIR}/The-Three-Little-Pigs-Siri-Proxy-${PV}/WebInterface"
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc README.md
+
+ dodir "${MY_HTDOCSDIR}"/certificates
+ insinto "${MY_HTDOCSDIR}"
+ doins -r design files img inc js pages *.php
+
+ webapp_configfile "${MY_HTDOCSDIR}"/inc/{captcha,connection,functions,mydbclass}.inc.php
+ webapp_configfile "${MY_HTDOCSDIR}"/pages/pages.xml
+ webapp_serverowned "${MY_HTDOCSDIR}"/inc
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ einfo "Please check the hard-coded values in inc/*.inc.php"
+ einfo "and copy 'ca.pem' from app-misc/siriproxy to certificates"
+}